HTTPS is completely dead

Nothing HTTPS related is working. Sonarr cannot update any trackers due to this and I cannot use apt-get update.
root@pi:~# apt-get update
/usr/lib/apt/methods/https: error while loading shared libraries: libgnutls-deb0.so.28: cannot open shared object file: No such file or directory
E: Method https has died unexpectedly!
E: Sub-process https returned an error code (127)
E: Method /usr/lib/apt/methods/https did not start correctly

that is the output that I get from the command prompt. I would prefer not to have to wipe to fix this

Find missing libary package:

root@DietPi-XU4:~# apt-cache search libgnutls
libgnutls-deb0-28 - GNU TLS library - main runtime library
libgnutls-openssl27 - GNU TLS library - OpenSSL wrapper
libgnutls28-dbg - GNU TLS library - debugger symbols
libgnutls28-dev - GNU TLS library - development files
libgnutlsxx28 - GNU TLS library - C++ runtime library
python-gnutls - Python wrapper for the GNUTLS library

Install missing package:

apt-get install libgnutls-deb0-28

Apt-get reports that it is already installed and trying to force a reinstall gives me the error that it cannot download

Intresting, try clearing apt cache and updating again:

apt-get clean
apt-get update
apt-get install libgnutls-deb0-28 --reinstall

If you still get an error after reinstall is completed, run and paste results:

find / -type f -name libgnutls*
echo -e "$PATH"

root@pi:~# find / -type f -name libgnutls*
/var/lib/dpkg/info/libgnutls-openssl27:armhf.postinst
/var/lib/dpkg/info/libgnutls-openssl27:armhf.shlibs
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.postinst
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.postrm
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.shlibs
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.md5sums
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.symbols
/var/lib/dpkg/info/libgnutls-deb0-28:armhf.list
/var/lib/dpkg/info/libgnutls-openssl27:armhf.md5sums
/var/lib/dpkg/info/libgnutls-openssl27:armhf.list
/var/lib/dpkg/info/libgnutls-openssl27:armhf.postrm
root@pi:~# echo -e “$PATH”
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
root@pi:~#


Still can’t reinstall because Apt-get update doesn’t run in the first place and it can’t download the package but that’s the output

Please paste results of:

cat /etc/apt/sources.list
ls -lha /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/*